IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network237.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
237.192.0.0- Broadcast address
237.255.255.255- First usable
237.192.0.1- Last usable
237.255.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EDC00000· Integer3988783104to3992977407 - Reverse DNS zones
192.237.in-addr.arpa193.237.in-addr.arpa194.237.in-addr.arpa195.237.in-addr.arpa196.237.in-addr.arpa197.237.in-addr.arpa198.237.in-addr.arpa199.237.in-addr.arpa200.237.in-addr.arpa201.237.in-addr.arpa202.237.in-addr.arpa203.237.in-addr.arpa204.237.in-addr.arpa205.237.in-addr.arpa206.237.in-addr.arpa207.237.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101101.11000000.00000000.00000000 | 237.192.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 11101101.11000000.00000000.00000000 | 237.192.0.0 |
| Broadcast | 11101101.11111111.11111111.11111111 | 237.255.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
237.192.0.0/10 makes 256 subnets of /18.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 237.192.0.0/18 | 237.192.0.1 to 237.192.63.254 | 237.192.63.255 | 16,382 |
| 2 | 237.192.64.0/18 | 237.192.64.1 to 237.192.127.254 | 237.192.127.255 | 16,382 |
| 3 | 237.192.128.0/18 | 237.192.128.1 to 237.192.191.254 | 237.192.191.255 | 16,382 |
| 4 | 237.192.192.0/18 | 237.192.192.1 to 237.192.255.254 | 237.192.255.255 | 16,382 |
| 5 | 237.193.0.0/18 | 237.193.0.1 to 237.193.63.254 | 237.193.63.255 | 16,382 |
| 6 | 237.193.64.0/18 | 237.193.64.1 to 237.193.127.254 | 237.193.127.255 | 16,382 |
| 7 | 237.193.128.0/18 | 237.193.128.1 to 237.193.191.254 | 237.193.191.255 | 16,382 |
| 8 | 237.193.192.0/18 | 237.193.192.1 to 237.193.255.254 | 237.193.255.255 | 16,382 |
| 9 | 237.194.0.0/18 | 237.194.0.1 to 237.194.63.254 | 237.194.63.255 | 16,382 |
| 10 | 237.194.64.0/18 | 237.194.64.1 to 237.194.127.254 | 237.194.127.255 | 16,382 |
| 11 | 237.194.128.0/18 | 237.194.128.1 to 237.194.191.254 | 237.194.191.255 | 16,382 |
| 12 | 237.194.192.0/18 | 237.194.192.1 to 237.194.255.254 | 237.194.255.255 | 16,382 |
| 13 | 237.195.0.0/18 | 237.195.0.1 to 237.195.63.254 | 237.195.63.255 | 16,382 |
| 14 | 237.195.64.0/18 | 237.195.64.1 to 237.195.127.254 | 237.195.127.255 | 16,382 |
| 15 | 237.195.128.0/18 | 237.195.128.1 to 237.195.191.254 | 237.195.191.255 | 16,382 |
| 16 | 237.195.192.0/18 | 237.195.192.1 to 237.195.255.254 | 237.195.255.255 | 16,382 |
| 17 | 237.196.0.0/18 | 237.196.0.1 to 237.196.63.254 | 237.196.63.255 | 16,382 |
| 18 | 237.196.64.0/18 | 237.196.64.1 to 237.196.127.254 | 237.196.127.255 | 16,382 |
| 19 | 237.196.128.0/18 | 237.196.128.1 to 237.196.191.254 | 237.196.191.255 | 16,382 |
| 20 | 237.196.192.0/18 | 237.196.192.1 to 237.196.255.254 | 237.196.255.255 | 16,382 |
| 21 | 237.197.0.0/18 | 237.197.0.1 to 237.197.63.254 | 237.197.63.255 | 16,382 |
| 22 | 237.197.64.0/18 | 237.197.64.1 to 237.197.127.254 | 237.197.127.255 | 16,382 |
| 23 | 237.197.128.0/18 | 237.197.128.1 to 237.197.191.254 | 237.197.191.255 | 16,382 |
| 24 | 237.197.192.0/18 | 237.197.192.1 to 237.197.255.254 | 237.197.255.255 | 16,382 |
| 25 | 237.198.0.0/18 | 237.198.0.1 to 237.198.63.254 | 237.198.63.255 | 16,382 |
| 26 | 237.198.64.0/18 | 237.198.64.1 to 237.198.127.254 | 237.198.127.255 | 16,382 |
| 27 | 237.198.128.0/18 | 237.198.128.1 to 237.198.191.254 | 237.198.191.255 | 16,382 |
| 28 | 237.198.192.0/18 | 237.198.192.1 to 237.198.255.254 | 237.198.255.255 | 16,382 |
| 29 | 237.199.0.0/18 | 237.199.0.1 to 237.199.63.254 | 237.199.63.255 | 16,382 |
| 30 | 237.199.64.0/18 | 237.199.64.1 to 237.199.127.254 | 237.199.127.255 | 16,382 |
| 31 | 237.199.128.0/18 | 237.199.128.1 to 237.199.191.254 | 237.199.191.255 | 16,382 |
| 32 | 237.199.192.0/18 | 237.199.192.1 to 237.199.255.254 | 237.199.255.255 | 16,382 |
| 33 | 237.200.0.0/18 | 237.200.0.1 to 237.200.63.254 | 237.200.63.255 | 16,382 |
| 34 | 237.200.64.0/18 | 237.200.64.1 to 237.200.127.254 | 237.200.127.255 | 16,382 |
| 35 | 237.200.128.0/18 | 237.200.128.1 to 237.200.191.254 | 237.200.191.255 | 16,382 |
| 36 | 237.200.192.0/18 | 237.200.192.1 to 237.200.255.254 | 237.200.255.255 | 16,382 |
| 37 | 237.201.0.0/18 | 237.201.0.1 to 237.201.63.254 | 237.201.63.255 | 16,382 |
| 38 | 237.201.64.0/18 | 237.201.64.1 to 237.201.127.254 | 237.201.127.255 | 16,382 |
| 39 | 237.201.128.0/18 | 237.201.128.1 to 237.201.191.254 | 237.201.191.255 | 16,382 |
| 40 | 237.201.192.0/18 | 237.201.192.1 to 237.201.255.254 | 237.201.255.255 | 16,382 |
| 41 | 237.202.0.0/18 | 237.202.0.1 to 237.202.63.254 | 237.202.63.255 | 16,382 |
| 42 | 237.202.64.0/18 | 237.202.64.1 to 237.202.127.254 | 237.202.127.255 | 16,382 |
| 43 | 237.202.128.0/18 | 237.202.128.1 to 237.202.191.254 | 237.202.191.255 | 16,382 |
| 44 | 237.202.192.0/18 | 237.202.192.1 to 237.202.255.254 | 237.202.255.255 | 16,382 |
| 45 | 237.203.0.0/18 | 237.203.0.1 to 237.203.63.254 | 237.203.63.255 | 16,382 |
| 46 | 237.203.64.0/18 | 237.203.64.1 to 237.203.127.254 | 237.203.127.255 | 16,382 |
| 47 | 237.203.128.0/18 | 237.203.128.1 to 237.203.191.254 | 237.203.191.255 | 16,382 |
| 48 | 237.203.192.0/18 | 237.203.192.1 to 237.203.255.254 | 237.203.255.255 | 16,382 |
| 49 | 237.204.0.0/18 | 237.204.0.1 to 237.204.63.254 | 237.204.63.255 | 16,382 |
| 50 | 237.204.64.0/18 | 237.204.64.1 to 237.204.127.254 | 237.204.127.255 | 16,382 |
| 51 | 237.204.128.0/18 | 237.204.128.1 to 237.204.191.254 | 237.204.191.255 | 16,382 |
| 52 | 237.204.192.0/18 | 237.204.192.1 to 237.204.255.254 | 237.204.255.255 | 16,382 |
| 53 | 237.205.0.0/18 | 237.205.0.1 to 237.205.63.254 | 237.205.63.255 | 16,382 |
| 54 | 237.205.64.0/18 | 237.205.64.1 to 237.205.127.254 | 237.205.127.255 | 16,382 |
| 55 | 237.205.128.0/18 | 237.205.128.1 to 237.205.191.254 | 237.205.191.255 | 16,382 |
| 56 | 237.205.192.0/18 | 237.205.192.1 to 237.205.255.254 | 237.205.255.255 | 16,382 |
| 57 | 237.206.0.0/18 | 237.206.0.1 to 237.206.63.254 | 237.206.63.255 | 16,382 |
| 58 | 237.206.64.0/18 | 237.206.64.1 to 237.206.127.254 | 237.206.127.255 | 16,382 |
| 59 | 237.206.128.0/18 | 237.206.128.1 to 237.206.191.254 | 237.206.191.255 | 16,382 |
| 60 | 237.206.192.0/18 | 237.206.192.1 to 237.206.255.254 | 237.206.255.255 | 16,382 |
| 61 | 237.207.0.0/18 | 237.207.0.1 to 237.207.63.254 | 237.207.63.255 | 16,382 |
| 62 | 237.207.64.0/18 | 237.207.64.1 to 237.207.127.254 | 237.207.127.255 | 16,382 |
| 63 | 237.207.128.0/18 | 237.207.128.1 to 237.207.191.254 | 237.207.191.255 | 16,382 |
| 64 | 237.207.192.0/18 | 237.207.192.1 to 237.207.255.254 | 237.207.255.255 | 16,382 |
| 65 | 237.208.0.0/18 | 237.208.0.1 to 237.208.63.254 | 237.208.63.255 | 16,382 |
| 66 | 237.208.64.0/18 | 237.208.64.1 to 237.208.127.254 | 237.208.127.255 | 16,382 |
| 67 | 237.208.128.0/18 | 237.208.128.1 to 237.208.191.254 | 237.208.191.255 | 16,382 |
| 68 | 237.208.192.0/18 | 237.208.192.1 to 237.208.255.254 | 237.208.255.255 | 16,382 |
| 69 | 237.209.0.0/18 | 237.209.0.1 to 237.209.63.254 | 237.209.63.255 | 16,382 |
| 70 | 237.209.64.0/18 | 237.209.64.1 to 237.209.127.254 | 237.209.127.255 | 16,382 |
| 71 | 237.209.128.0/18 | 237.209.128.1 to 237.209.191.254 | 237.209.191.255 | 16,382 |
| 72 | 237.209.192.0/18 | 237.209.192.1 to 237.209.255.254 | 237.209.255.255 | 16,382 |
| 73 | 237.210.0.0/18 | 237.210.0.1 to 237.210.63.254 | 237.210.63.255 | 16,382 |
| 74 | 237.210.64.0/18 | 237.210.64.1 to 237.210.127.254 | 237.210.127.255 | 16,382 |
| 75 | 237.210.128.0/18 | 237.210.128.1 to 237.210.191.254 | 237.210.191.255 | 16,382 |
| 76 | 237.210.192.0/18 | 237.210.192.1 to 237.210.255.254 | 237.210.255.255 | 16,382 |
| 77 | 237.211.0.0/18 | 237.211.0.1 to 237.211.63.254 | 237.211.63.255 | 16,382 |
| 78 | 237.211.64.0/18 | 237.211.64.1 to 237.211.127.254 | 237.211.127.255 | 16,382 |
| 79 | 237.211.128.0/18 | 237.211.128.1 to 237.211.191.254 | 237.211.191.255 | 16,382 |
| 80 | 237.211.192.0/18 | 237.211.192.1 to 237.211.255.254 | 237.211.255.255 | 16,382 |
| 81 | 237.212.0.0/18 | 237.212.0.1 to 237.212.63.254 | 237.212.63.255 | 16,382 |
| 82 | 237.212.64.0/18 | 237.212.64.1 to 237.212.127.254 | 237.212.127.255 | 16,382 |
| 83 | 237.212.128.0/18 | 237.212.128.1 to 237.212.191.254 | 237.212.191.255 | 16,382 |
| 84 | 237.212.192.0/18 | 237.212.192.1 to 237.212.255.254 | 237.212.255.255 | 16,382 |
| 85 | 237.213.0.0/18 | 237.213.0.1 to 237.213.63.254 | 237.213.63.255 | 16,382 |
| 86 | 237.213.64.0/18 | 237.213.64.1 to 237.213.127.254 | 237.213.127.255 | 16,382 |
| 87 | 237.213.128.0/18 | 237.213.128.1 to 237.213.191.254 | 237.213.191.255 | 16,382 |
| 88 | 237.213.192.0/18 | 237.213.192.1 to 237.213.255.254 | 237.213.255.255 | 16,382 |
| 89 | 237.214.0.0/18 | 237.214.0.1 to 237.214.63.254 | 237.214.63.255 | 16,382 |
| 90 | 237.214.64.0/18 | 237.214.64.1 to 237.214.127.254 | 237.214.127.255 | 16,382 |
| 91 | 237.214.128.0/18 | 237.214.128.1 to 237.214.191.254 | 237.214.191.255 | 16,382 |
| 92 | 237.214.192.0/18 | 237.214.192.1 to 237.214.255.254 | 237.214.255.255 | 16,382 |
| 93 | 237.215.0.0/18 | 237.215.0.1 to 237.215.63.254 | 237.215.63.255 | 16,382 |
| 94 | 237.215.64.0/18 | 237.215.64.1 to 237.215.127.254 | 237.215.127.255 | 16,382 |
| 95 | 237.215.128.0/18 | 237.215.128.1 to 237.215.191.254 | 237.215.191.255 | 16,382 |
| 96 | 237.215.192.0/18 | 237.215.192.1 to 237.215.255.254 | 237.215.255.255 | 16,382 |
| 97 | 237.216.0.0/18 | 237.216.0.1 to 237.216.63.254 | 237.216.63.255 | 16,382 |
| 98 | 237.216.64.0/18 | 237.216.64.1 to 237.216.127.254 | 237.216.127.255 | 16,382 |
| 99 | 237.216.128.0/18 | 237.216.128.1 to 237.216.191.254 | 237.216.191.255 | 16,382 |
| 100 | 237.216.192.0/18 | 237.216.192.1 to 237.216.255.254 | 237.216.255.255 | 16,382 |
| 101 | 237.217.0.0/18 | 237.217.0.1 to 237.217.63.254 | 237.217.63.255 | 16,382 |
| 102 | 237.217.64.0/18 | 237.217.64.1 to 237.217.127.254 | 237.217.127.255 | 16,382 |
| 103 | 237.217.128.0/18 | 237.217.128.1 to 237.217.191.254 | 237.217.191.255 | 16,382 |
| 104 | 237.217.192.0/18 | 237.217.192.1 to 237.217.255.254 | 237.217.255.255 | 16,382 |
| 105 | 237.218.0.0/18 | 237.218.0.1 to 237.218.63.254 | 237.218.63.255 | 16,382 |
| 106 | 237.218.64.0/18 | 237.218.64.1 to 237.218.127.254 | 237.218.127.255 | 16,382 |
| 107 | 237.218.128.0/18 | 237.218.128.1 to 237.218.191.254 | 237.218.191.255 | 16,382 |
| 108 | 237.218.192.0/18 | 237.218.192.1 to 237.218.255.254 | 237.218.255.255 | 16,382 |
| 109 | 237.219.0.0/18 | 237.219.0.1 to 237.219.63.254 | 237.219.63.255 | 16,382 |
| 110 | 237.219.64.0/18 | 237.219.64.1 to 237.219.127.254 | 237.219.127.255 | 16,382 |
| 111 | 237.219.128.0/18 | 237.219.128.1 to 237.219.191.254 | 237.219.191.255 | 16,382 |
| 112 | 237.219.192.0/18 | 237.219.192.1 to 237.219.255.254 | 237.219.255.255 | 16,382 |
| 113 | 237.220.0.0/18 | 237.220.0.1 to 237.220.63.254 | 237.220.63.255 | 16,382 |
| 114 | 237.220.64.0/18 | 237.220.64.1 to 237.220.127.254 | 237.220.127.255 | 16,382 |
| 115 | 237.220.128.0/18 | 237.220.128.1 to 237.220.191.254 | 237.220.191.255 | 16,382 |
| 116 | 237.220.192.0/18 | 237.220.192.1 to 237.220.255.254 | 237.220.255.255 | 16,382 |
| 117 | 237.221.0.0/18 | 237.221.0.1 to 237.221.63.254 | 237.221.63.255 | 16,382 |
| 118 | 237.221.64.0/18 | 237.221.64.1 to 237.221.127.254 | 237.221.127.255 | 16,382 |
| 119 | 237.221.128.0/18 | 237.221.128.1 to 237.221.191.254 | 237.221.191.255 | 16,382 |
| 120 | 237.221.192.0/18 | 237.221.192.1 to 237.221.255.254 | 237.221.255.255 | 16,382 |
| 121 | 237.222.0.0/18 | 237.222.0.1 to 237.222.63.254 | 237.222.63.255 | 16,382 |
| 122 | 237.222.64.0/18 | 237.222.64.1 to 237.222.127.254 | 237.222.127.255 | 16,382 |
| 123 | 237.222.128.0/18 | 237.222.128.1 to 237.222.191.254 | 237.222.191.255 | 16,382 |
| 124 | 237.222.192.0/18 | 237.222.192.1 to 237.222.255.254 | 237.222.255.255 | 16,382 |
| 125 | 237.223.0.0/18 | 237.223.0.1 to 237.223.63.254 | 237.223.63.255 | 16,382 |
| 126 | 237.223.64.0/18 | 237.223.64.1 to 237.223.127.254 | 237.223.127.255 | 16,382 |
| 127 | 237.223.128.0/18 | 237.223.128.1 to 237.223.191.254 | 237.223.191.255 | 16,382 |
| 128 | 237.223.192.0/18 | 237.223.192.1 to 237.223.255.254 | 237.223.255.255 | 16,382 |
| 129 | 237.224.0.0/18 | 237.224.0.1 to 237.224.63.254 | 237.224.63.255 | 16,382 |
| 130 | 237.224.64.0/18 | 237.224.64.1 to 237.224.127.254 | 237.224.127.255 | 16,382 |
| 131 | 237.224.128.0/18 | 237.224.128.1 to 237.224.191.254 | 237.224.191.255 | 16,382 |
| 132 | 237.224.192.0/18 | 237.224.192.1 to 237.224.255.254 | 237.224.255.255 | 16,382 |
| 133 | 237.225.0.0/18 | 237.225.0.1 to 237.225.63.254 | 237.225.63.255 | 16,382 |
| 134 | 237.225.64.0/18 | 237.225.64.1 to 237.225.127.254 | 237.225.127.255 | 16,382 |
| 135 | 237.225.128.0/18 | 237.225.128.1 to 237.225.191.254 | 237.225.191.255 | 16,382 |
| 136 | 237.225.192.0/18 | 237.225.192.1 to 237.225.255.254 | 237.225.255.255 | 16,382 |
| 137 | 237.226.0.0/18 | 237.226.0.1 to 237.226.63.254 | 237.226.63.255 | 16,382 |
| 138 | 237.226.64.0/18 | 237.226.64.1 to 237.226.127.254 | 237.226.127.255 | 16,382 |
| 139 | 237.226.128.0/18 | 237.226.128.1 to 237.226.191.254 | 237.226.191.255 | 16,382 |
| 140 | 237.226.192.0/18 | 237.226.192.1 to 237.226.255.254 | 237.226.255.255 | 16,382 |
| 141 | 237.227.0.0/18 | 237.227.0.1 to 237.227.63.254 | 237.227.63.255 | 16,382 |
| 142 | 237.227.64.0/18 | 237.227.64.1 to 237.227.127.254 | 237.227.127.255 | 16,382 |
| 143 | 237.227.128.0/18 | 237.227.128.1 to 237.227.191.254 | 237.227.191.255 | 16,382 |
| 144 | 237.227.192.0/18 | 237.227.192.1 to 237.227.255.254 | 237.227.255.255 | 16,382 |
| 145 | 237.228.0.0/18 | 237.228.0.1 to 237.228.63.254 | 237.228.63.255 | 16,382 |
| 146 | 237.228.64.0/18 | 237.228.64.1 to 237.228.127.254 | 237.228.127.255 | 16,382 |
| 147 | 237.228.128.0/18 | 237.228.128.1 to 237.228.191.254 | 237.228.191.255 | 16,382 |
| 148 | 237.228.192.0/18 | 237.228.192.1 to 237.228.255.254 | 237.228.255.255 | 16,382 |
| 149 | 237.229.0.0/18 | 237.229.0.1 to 237.229.63.254 | 237.229.63.255 | 16,382 |
| 150 | 237.229.64.0/18 | 237.229.64.1 to 237.229.127.254 | 237.229.127.255 | 16,382 |
| 151 | 237.229.128.0/18 | 237.229.128.1 to 237.229.191.254 | 237.229.191.255 | 16,382 |
| 152 | 237.229.192.0/18 | 237.229.192.1 to 237.229.255.254 | 237.229.255.255 | 16,382 |
| 153 | 237.230.0.0/18 | 237.230.0.1 to 237.230.63.254 | 237.230.63.255 | 16,382 |
| 154 | 237.230.64.0/18 | 237.230.64.1 to 237.230.127.254 | 237.230.127.255 | 16,382 |
| 155 | 237.230.128.0/18 | 237.230.128.1 to 237.230.191.254 | 237.230.191.255 | 16,382 |
| 156 | 237.230.192.0/18 | 237.230.192.1 to 237.230.255.254 | 237.230.255.255 | 16,382 |
| 157 | 237.231.0.0/18 | 237.231.0.1 to 237.231.63.254 | 237.231.63.255 | 16,382 |
| 158 | 237.231.64.0/18 | 237.231.64.1 to 237.231.127.254 | 237.231.127.255 | 16,382 |
| 159 | 237.231.128.0/18 | 237.231.128.1 to 237.231.191.254 | 237.231.191.255 | 16,382 |
| 160 | 237.231.192.0/18 | 237.231.192.1 to 237.231.255.254 | 237.231.255.255 | 16,382 |
| 161 | 237.232.0.0/18 | 237.232.0.1 to 237.232.63.254 | 237.232.63.255 | 16,382 |
| 162 | 237.232.64.0/18 | 237.232.64.1 to 237.232.127.254 | 237.232.127.255 | 16,382 |
| 163 | 237.232.128.0/18 | 237.232.128.1 to 237.232.191.254 | 237.232.191.255 | 16,382 |
| 164 | 237.232.192.0/18 | 237.232.192.1 to 237.232.255.254 | 237.232.255.255 | 16,382 |
| 165 | 237.233.0.0/18 | 237.233.0.1 to 237.233.63.254 | 237.233.63.255 | 16,382 |
| 166 | 237.233.64.0/18 | 237.233.64.1 to 237.233.127.254 | 237.233.127.255 | 16,382 |
| 167 | 237.233.128.0/18 | 237.233.128.1 to 237.233.191.254 | 237.233.191.255 | 16,382 |
| 168 | 237.233.192.0/18 | 237.233.192.1 to 237.233.255.254 | 237.233.255.255 | 16,382 |
| 169 | 237.234.0.0/18 | 237.234.0.1 to 237.234.63.254 | 237.234.63.255 | 16,382 |
| 170 | 237.234.64.0/18 | 237.234.64.1 to 237.234.127.254 | 237.234.127.255 | 16,382 |
| 171 | 237.234.128.0/18 | 237.234.128.1 to 237.234.191.254 | 237.234.191.255 | 16,382 |
| 172 | 237.234.192.0/18 | 237.234.192.1 to 237.234.255.254 | 237.234.255.255 | 16,382 |
| 173 | 237.235.0.0/18 | 237.235.0.1 to 237.235.63.254 | 237.235.63.255 | 16,382 |
| 174 | 237.235.64.0/18 | 237.235.64.1 to 237.235.127.254 | 237.235.127.255 | 16,382 |
| 175 | 237.235.128.0/18 | 237.235.128.1 to 237.235.191.254 | 237.235.191.255 | 16,382 |
| 176 | 237.235.192.0/18 | 237.235.192.1 to 237.235.255.254 | 237.235.255.255 | 16,382 |
| 177 | 237.236.0.0/18 | 237.236.0.1 to 237.236.63.254 | 237.236.63.255 | 16,382 |
| 178 | 237.236.64.0/18 | 237.236.64.1 to 237.236.127.254 | 237.236.127.255 | 16,382 |
| 179 | 237.236.128.0/18 | 237.236.128.1 to 237.236.191.254 | 237.236.191.255 | 16,382 |
| 180 | 237.236.192.0/18 | 237.236.192.1 to 237.236.255.254 | 237.236.255.255 | 16,382 |
| 181 | 237.237.0.0/18 | 237.237.0.1 to 237.237.63.254 | 237.237.63.255 | 16,382 |
| 182 | 237.237.64.0/18 | 237.237.64.1 to 237.237.127.254 | 237.237.127.255 | 16,382 |
| 183 | 237.237.128.0/18 | 237.237.128.1 to 237.237.191.254 | 237.237.191.255 | 16,382 |
| 184 | 237.237.192.0/18 | 237.237.192.1 to 237.237.255.254 | 237.237.255.255 | 16,382 |
| 185 | 237.238.0.0/18 | 237.238.0.1 to 237.238.63.254 | 237.238.63.255 | 16,382 |
| 186 | 237.238.64.0/18 | 237.238.64.1 to 237.238.127.254 | 237.238.127.255 | 16,382 |
| 187 | 237.238.128.0/18 | 237.238.128.1 to 237.238.191.254 | 237.238.191.255 | 16,382 |
| 188 | 237.238.192.0/18 | 237.238.192.1 to 237.238.255.254 | 237.238.255.255 | 16,382 |
| 189 | 237.239.0.0/18 | 237.239.0.1 to 237.239.63.254 | 237.239.63.255 | 16,382 |
| 190 | 237.239.64.0/18 | 237.239.64.1 to 237.239.127.254 | 237.239.127.255 | 16,382 |
| 191 | 237.239.128.0/18 | 237.239.128.1 to 237.239.191.254 | 237.239.191.255 | 16,382 |
| 192 | 237.239.192.0/18 | 237.239.192.1 to 237.239.255.254 | 237.239.255.255 | 16,382 |
| 193 | 237.240.0.0/18 | 237.240.0.1 to 237.240.63.254 | 237.240.63.255 | 16,382 |
| 194 | 237.240.64.0/18 | 237.240.64.1 to 237.240.127.254 | 237.240.127.255 | 16,382 |
| 195 | 237.240.128.0/18 | 237.240.128.1 to 237.240.191.254 | 237.240.191.255 | 16,382 |
| 196 | 237.240.192.0/18 | 237.240.192.1 to 237.240.255.254 | 237.240.255.255 | 16,382 |
| 197 | 237.241.0.0/18 | 237.241.0.1 to 237.241.63.254 | 237.241.63.255 | 16,382 |
| 198 | 237.241.64.0/18 | 237.241.64.1 to 237.241.127.254 | 237.241.127.255 | 16,382 |
| 199 | 237.241.128.0/18 | 237.241.128.1 to 237.241.191.254 | 237.241.191.255 | 16,382 |
| 200 | 237.241.192.0/18 | 237.241.192.1 to 237.241.255.254 | 237.241.255.255 | 16,382 |
| 201 | 237.242.0.0/18 | 237.242.0.1 to 237.242.63.254 | 237.242.63.255 | 16,382 |
| 202 | 237.242.64.0/18 | 237.242.64.1 to 237.242.127.254 | 237.242.127.255 | 16,382 |
| 203 | 237.242.128.0/18 | 237.242.128.1 to 237.242.191.254 | 237.242.191.255 | 16,382 |
| 204 | 237.242.192.0/18 | 237.242.192.1 to 237.242.255.254 | 237.242.255.255 | 16,382 |
| 205 | 237.243.0.0/18 | 237.243.0.1 to 237.243.63.254 | 237.243.63.255 | 16,382 |
| 206 | 237.243.64.0/18 | 237.243.64.1 to 237.243.127.254 | 237.243.127.255 | 16,382 |
| 207 | 237.243.128.0/18 | 237.243.128.1 to 237.243.191.254 | 237.243.191.255 | 16,382 |
| 208 | 237.243.192.0/18 | 237.243.192.1 to 237.243.255.254 | 237.243.255.255 | 16,382 |
| 209 | 237.244.0.0/18 | 237.244.0.1 to 237.244.63.254 | 237.244.63.255 | 16,382 |
| 210 | 237.244.64.0/18 | 237.244.64.1 to 237.244.127.254 | 237.244.127.255 | 16,382 |
| 211 | 237.244.128.0/18 | 237.244.128.1 to 237.244.191.254 | 237.244.191.255 | 16,382 |
| 212 | 237.244.192.0/18 | 237.244.192.1 to 237.244.255.254 | 237.244.255.255 | 16,382 |
| 213 | 237.245.0.0/18 | 237.245.0.1 to 237.245.63.254 | 237.245.63.255 | 16,382 |
| 214 | 237.245.64.0/18 | 237.245.64.1 to 237.245.127.254 | 237.245.127.255 | 16,382 |
| 215 | 237.245.128.0/18 | 237.245.128.1 to 237.245.191.254 | 237.245.191.255 | 16,382 |
| 216 | 237.245.192.0/18 | 237.245.192.1 to 237.245.255.254 | 237.245.255.255 | 16,382 |
| 217 | 237.246.0.0/18 | 237.246.0.1 to 237.246.63.254 | 237.246.63.255 | 16,382 |
| 218 | 237.246.64.0/18 | 237.246.64.1 to 237.246.127.254 | 237.246.127.255 | 16,382 |
| 219 | 237.246.128.0/18 | 237.246.128.1 to 237.246.191.254 | 237.246.191.255 | 16,382 |
| 220 | 237.246.192.0/18 | 237.246.192.1 to 237.246.255.254 | 237.246.255.255 | 16,382 |
| 221 | 237.247.0.0/18 | 237.247.0.1 to 237.247.63.254 | 237.247.63.255 | 16,382 |
| 222 | 237.247.64.0/18 | 237.247.64.1 to 237.247.127.254 | 237.247.127.255 | 16,382 |
| 223 | 237.247.128.0/18 | 237.247.128.1 to 237.247.191.254 | 237.247.191.255 | 16,382 |
| 224 | 237.247.192.0/18 | 237.247.192.1 to 237.247.255.254 | 237.247.255.255 | 16,382 |
| 225 | 237.248.0.0/18 | 237.248.0.1 to 237.248.63.254 | 237.248.63.255 | 16,382 |
| 226 | 237.248.64.0/18 | 237.248.64.1 to 237.248.127.254 | 237.248.127.255 | 16,382 |
| 227 | 237.248.128.0/18 | 237.248.128.1 to 237.248.191.254 | 237.248.191.255 | 16,382 |
| 228 | 237.248.192.0/18 | 237.248.192.1 to 237.248.255.254 | 237.248.255.255 | 16,382 |
| 229 | 237.249.0.0/18 | 237.249.0.1 to 237.249.63.254 | 237.249.63.255 | 16,382 |
| 230 | 237.249.64.0/18 | 237.249.64.1 to 237.249.127.254 | 237.249.127.255 | 16,382 |
| 231 | 237.249.128.0/18 | 237.249.128.1 to 237.249.191.254 | 237.249.191.255 | 16,382 |
| 232 | 237.249.192.0/18 | 237.249.192.1 to 237.249.255.254 | 237.249.255.255 | 16,382 |
| 233 | 237.250.0.0/18 | 237.250.0.1 to 237.250.63.254 | 237.250.63.255 | 16,382 |
| 234 | 237.250.64.0/18 | 237.250.64.1 to 237.250.127.254 | 237.250.127.255 | 16,382 |
| 235 | 237.250.128.0/18 | 237.250.128.1 to 237.250.191.254 | 237.250.191.255 | 16,382 |
| 236 | 237.250.192.0/18 | 237.250.192.1 to 237.250.255.254 | 237.250.255.255 | 16,382 |
| 237 | 237.251.0.0/18 | 237.251.0.1 to 237.251.63.254 | 237.251.63.255 | 16,382 |
| 238 | 237.251.64.0/18 | 237.251.64.1 to 237.251.127.254 | 237.251.127.255 | 16,382 |
| 239 | 237.251.128.0/18 | 237.251.128.1 to 237.251.191.254 | 237.251.191.255 | 16,382 |
| 240 | 237.251.192.0/18 | 237.251.192.1 to 237.251.255.254 | 237.251.255.255 | 16,382 |
| 241 | 237.252.0.0/18 | 237.252.0.1 to 237.252.63.254 | 237.252.63.255 | 16,382 |
| 242 | 237.252.64.0/18 | 237.252.64.1 to 237.252.127.254 | 237.252.127.255 | 16,382 |
| 243 | 237.252.128.0/18 | 237.252.128.1 to 237.252.191.254 | 237.252.191.255 | 16,382 |
| 244 | 237.252.192.0/18 | 237.252.192.1 to 237.252.255.254 | 237.252.255.255 | 16,382 |
| 245 | 237.253.0.0/18 | 237.253.0.1 to 237.253.63.254 | 237.253.63.255 | 16,382 |
| 246 | 237.253.64.0/18 | 237.253.64.1 to 237.253.127.254 | 237.253.127.255 | 16,382 |
| 247 | 237.253.128.0/18 | 237.253.128.1 to 237.253.191.254 | 237.253.191.255 | 16,382 |
| 248 | 237.253.192.0/18 | 237.253.192.1 to 237.253.255.254 | 237.253.255.255 | 16,382 |
| 249 | 237.254.0.0/18 | 237.254.0.1 to 237.254.63.254 | 237.254.63.255 | 16,382 |
| 250 | 237.254.64.0/18 | 237.254.64.1 to 237.254.127.254 | 237.254.127.255 | 16,382 |
| 251 | 237.254.128.0/18 | 237.254.128.1 to 237.254.191.254 | 237.254.191.255 | 16,382 |
| 252 | 237.254.192.0/18 | 237.254.192.1 to 237.254.255.254 | 237.254.255.255 | 16,382 |
| 253 | 237.255.0.0/18 | 237.255.0.1 to 237.255.63.254 | 237.255.63.255 | 16,382 |
| 254 | 237.255.64.0/18 | 237.255.64.1 to 237.255.127.254 | 237.255.127.255 | 16,382 |
| 255 | 237.255.128.0/18 | 237.255.128.1 to 237.255.191.254 | 237.255.191.255 | 16,382 |
| 256 | 237.255.192.0/18 | 237.255.192.1 to 237.255.255.254 | 237.255.255.255 | 16,382 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |